__gnu_cxx::annotate_base(3cxx)

NAME
__gnu_cxx::annotate_base - Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

SYNOPSIS

#include <throw_allocator.h>

Inherited by __gnu_cxx::throw_allocator_base< _Tp, limit_condition >, __gnu_cxx::throw_allocator_base< _Tp, random_condition >, and __gnu_cxx::throw_allocator_base< _Tp, _Cond >.

  Public Member Functions

void check (size_t label)
map_alloc_type::iterator check_allocated (void *p, size_t size)
void check_constructed (size_t label)
map_construct_type::iterator check_constructed (void *p)
void erase (void *p, size_t size)
void erase_construct (void *p)
void insert (void *p, size_t size)
void insert_construct (void *p)

  Static Public Member Functions

static void check ()
static size_t get_label ()
static void set_label (size_t l)

  Friends

std::ostream & operator<< (std::ostream &, const annotate_base &)

Detailed Description

Base class for checking address and label information about allocations. Create a std::map between the allocated address (void*) and a datum for annotations, which are a pair of numbers corresponding to label and allocated size.

Definition at line 95 of file throw_allocator.h.

Constructor & Destructor Documentation

  __gnu_cxx::annotate_base::annotate_base () [inline]

Definition at line 108 of file throw_allocator.h.

Member Function Documentation

  static void __gnu_cxx::annotate_base::check () [inline], [static]

Definition at line 237 of file throw_allocator.h.

  void __gnu_cxx::annotate_base::check (size_t label) [inline]

Definition at line 200 of file throw_allocator.h.

  map_alloc_type::iterator __gnu_cxx::annotate_base::check_allocated (void * p, size_t size) [inline]

Definition at line 175 of file throw_allocator.h.

  void __gnu_cxx::annotate_base::check_constructed (size_t label) [inline]

Definition at line 287 of file throw_allocator.h.

  map_construct_type::iterator __gnu_cxx::annotate_base::check_constructed (void * p) [inline]

Definition at line 272 of file throw_allocator.h.

  void __gnu_cxx::annotate_base::erase (void * p, size_t size) [inline]

Definition at line 145 of file throw_allocator.h.

  void __gnu_cxx::annotate_base::erase_construct (void * p) [inline]

Definition at line 169 of file throw_allocator.h.

  static size_t __gnu_cxx::annotate_base::get_label () [inline], [static]

Definition at line 119 of file throw_allocator.h.

  void __gnu_cxx::annotate_base::insert (void * p, size_t size) [inline]

Definition at line 123 of file throw_allocator.h.

  void __gnu_cxx::annotate_base::insert_construct (void * p) [inline]

Definition at line 150 of file throw_allocator.h.

  static void __gnu_cxx::annotate_base::set_label (size_t l) [inline], [static]

Definition at line 115 of file throw_allocator.h.

Friends And Related Symbol Documentation

  std::ostream & operator<< (std::ostream & os, const annotate_base & __b) [friend]

Definition at line 387 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.